import type { PrimTerm, Term, TermType } from "@thi.ng/shader-ast";
/**
 * Inline function, expands to equivalent of `clamp(x, 0, 1)`.
 *
 * @param x -
 */
export declare const clamp01: <T extends PrimTerm>(x: T) => Term<TermType<T>>;
/**
 * Inline function, expands to equivalent of `clamp(x, -1, 1)`.
 *
 * @param x -
 */
export declare const clamp11: <T extends PrimTerm>(x: T) => Term<TermType<T>>;
//# sourceMappingURL=clamp.d.ts.map