import type { UintTerm, UVec2Term } from "@thi.ng/shader-ast";
/**
 * Inline function. Similar to {@link indexToUV}, but returns uvec2 in pixel
 * coords. Not compatible with WebGL1.
 *
 * @param i -
 * @param width -
 */
export declare const indexToCoord: (i: UintTerm, width: UintTerm) => import("@thi.ng/shader-ast").Lit<"uvec2">;
/**
 * Inline function. Reverse op to {@link indexToCoord}.  Not compatible with
 * WebGL1.
 *
 * @param coord -
 * @param width -
 */
export declare const coordToIndex: (coord: UVec2Term, width: UintTerm) => import("@thi.ng/shader-ast").Term<"uint">;
//# sourceMappingURL=index-coord.d.ts.map